Subject: Re: only accessing some git repos: Am I configuring daemon wrong?

From: Junio C Hamano <[email-masked]>
Date: Sun, 18 Nov 2007 10:48:29 -0800

"Henrik Vendelbo" <[email-masked]> writes:

> I run the daemon against a base directory with all my repos.
>
> /repositories
>   + /blingon
>      + /config
>   + /thepia
>      + /config
>
> The config directories are git repositories, and the repos are made
> available with the following command:
>
> henrik-computer:~ x$ git daemon --export-all --verbose --base-path=/repositories
> [337] Connection from 192.168.9.130:56583
> [337] Extended attributes (20 bytes) exist <host=192.168.9.165>
> [337] Request upload-pack for '/blingon/all'
> [337] Disconnected
>
> For some reason when I try to pull over the git protocol to a
> different machine using clone, I get a failure telling me that there
> is 'no matching remote head'
>
> I tried specifying the actual repo directories, but that made no difference.
>
> Any ideas?

Lack of any whitelist on the command line and --export-all?

Do you see "not in whitelist" in your error log?